#ifndef LIB_SPRINGSPACE_H
#define LIB_SPRINGSPACE_H

#include "base/texture.h"
#include "lib/objfile.h"
#include "lib/springobj.h"

class SpringSpace : public SpringObj {
private:

	ObjFile *model;

	std::vector<vec3f> tvtx;	//transformed vertices

	virtual void clear();

public:

	Texture tex;

//	virtual bool init(ObjFile *model, ParSystem *parSys, SpringSystem *springSys);
	bool setModel(ObjFile *model);
	const ObjFile *getModel() const { return model; }

	void render(bool useMtl = true);
};

#endif
